com.icesoft.faces.facelets.component.select

## Class LocaleController

- java.lang.Object
- - com.icesoft.faces.facelets.component.select.LocaleController

- All Implemented Interfaces:
    java.io.Serializable

      public class LocaleController
      extends java.lang.Object
      implements java.io.Serializable

  The LocaleController is responsible for keeping track of and changing the current application locale. The available languages are identified by the lowercase ISO 639 code appended to a resource bundle properties file ie: messages_es.properties. Languages can also have a country associated with them ie: messages_en_US.properties. If there is no resource bundle available or one language is available, making a selection is not necessary and the component will not be rendered.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocaleController()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List` | `getApplicationLocales()`
    `java.lang.String` | `getSessionLanguage()`
    `java.util.Locale` | `getSessionLocale()`
    `boolean` | `isMultipleLocales()`
    `void` | `localeValueChange(javax.faces.event.ValueChangeEvent event)` Change the session locale.
    `void` | `setApplicationLocales(java.util.ArrayList<javax.faces.model.SelectItem> applicationLocales)`
    `void` | `setMultipleLocales(boolean multipleLocales)`
    `void` | `setSessionLanguage(java.lang.String sessionLanguage)`
    `void` | `setSessionLocale(java.util.Locale sessionLocale)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LocaleController

          public LocaleController()

  - ### Method Detail

    - #### localeValueChange

          public void localeValueChange(javax.faces.event.ValueChangeEvent event)

      Change the session locale.
      Parameters:
        `event` - jsf value change event.

    - #### getSessionLocale

          public java.util.Locale getSessionLocale()

    - #### setSessionLocale

          public void setSessionLocale(java.util.Locale sessionLocale)

    - #### getApplicationLocales

          public java.util.List getApplicationLocales()

    - #### setApplicationLocales

          public void setApplicationLocales(java.util.ArrayList<javax.faces.model.SelectItem> applicationLocales)

    - #### getSessionLanguage

          public java.lang.String getSessionLanguage()

    - #### setSessionLanguage

          public void setSessionLanguage(java.lang.String sessionLanguage)

    - #### isMultipleLocales

          public boolean isMultipleLocales()

    - #### setMultipleLocales

          public void setMultipleLocales(boolean multipleLocales)

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.